sui_getNormalizedMoveStruct

Move Utils

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Return a structured representation of Move struct

Parameters

KeyRequiredType
packageObjectID
module_nameString
struct_nameString
"params": [
  "0x0000000000000000000000000000000000000000000000000000000000000002",
  "bag",
  "bag"
]

Result

SuiMoveNormalizedStruct : <SuiMoveNormalizedStruct>

  • abilities : <SuiMoveAbilitySet>
  • fields : <[SuiMoveNormalizedField]>
  • type_parameters : <[SuiMoveStructTypeParameter]>

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "sui_getNormalizedMoveStruct",
  "params": [
    "0x0000000000000000000000000000000000000000000000000000000000000002",
    "bag",
    "Bag"
  ]
}
'

Response

{
    "jsonrpc": "2.0",
    "result": {
        "abilities": {
            "abilities": [
                "Store",
                "Key"
            ]
        },
        "typeParameters": [],
        "fields": [
            {
                "name": "id",
                "type": {
                    "Struct": {
                        "address": "0x2",
                        "module": "object",
                        "name": "UID",
                        "typeArguments": []
                    }
                }
            },
            {
                "name": "size",
                "type": "U64"
            }
        ]
    },
    "id": 1
}
Path Params
string
required
Defaults to 8f170bbbc110407597b2ded8474747db
Body Params
string
Defaults to { "jsonrpc": "2.0", "id": 1, "method": "suix_queryTransactionBlocks", "params": [ { "filter": { "InputObject": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b" }, "options": null } ] }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json